- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# addressing module interface
[WS-Addressing Module]

## Files
file | axis2_addr_mod.h
## Defines
#define | ADDR_IN_HANDLER "AddressingInHandler"
#define | ADDR_OUT_HANDLER "AddressingOutHandler"
## Functions
AXIS2_EXTERN axis2_handler_t * | axis2_addr_in_handler_create (const axutil_env_t *env, axutil_string_t *name)
AXIS2_EXTERN axis2_handler_t * | axis2_addr_out_handler_create (const axutil_env_t *env, axutil_string_t *name)

## Function Documentation

AXIS2_EXTERN axis2_handler_t* axis2_addr_in_handler_create | ( | const axutil_env_t * | env,
|  | axutil_string_t * | name |
| ) |  |  |

Creates Addressing in handler

Parameters:

  | env | pointer to environment struct
  | name | name of handler

Returns:
  returns reference to handler created

AXIS2_EXTERN axis2_handler_t* axis2_addr_out_handler_create | ( | const axutil_env_t * | env,
|  | axutil_string_t * | name |
| ) |  |  |

Creates Addressing out handler

Parameters:

  | env | pointer to environment struct
  | name | name of handler

Returns:
  returns reference to handler created